Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::ProxyConsumer Interface Reference

Defines the interface shared by all consumer proxies. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::ProxyConsumer:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::ProxyConsumer:

[legend]
List of all members.

## Public Methods
CosNotification::EventTypeSeq | obtain_subscription_types (in ObtainInfoMode mode)
| Get the list of event types that this proxy could potentially forward to any consumer connected to the EventChannel. More...
void | validate_event_qos (in CosNotification::QoSProperties required_qos, out CosNotification::NamedPropertyRangeSeq available_qos) raises (CosNotification::UnsupportedQoS)
| Validate a list of QoS properties for an event. More...
## Public Attributes
readonly attribute ProxyType | MyType
| The style and event format for this proxy. More...
readonly attribute SupplierAdmin | MyAdmin
| The SupplierAdmin this proxy belongs to. More...

## Detailed Description

Defines the interface shared by all consumer proxies.

Consumer proxies are used by suppliers to provide events into the Notification Service, this interface captures the shared operations in all those proxies.

## Member Function Documentation

CosNotification::EventTypeSeq CosNotifyChannelAdmin::ProxyConsumer::obtain_subscription_types | ( | in ObtainInfoMode | mode | ) |

  | Get the list of event types that this proxy could potentially forward to any consumer connected to the EventChannel. Parameters:
  mode | Describe how the subscriptions should be fetched
Returns: The list of current subscriptions, if requested in the mode argument

void CosNotifyChannelAdmin::ProxyConsumer::validate_event_qos | ( | in CosNotification::QoSProperties | required_qos,
|  | out CosNotification::NamedPropertyRangeSeq | available_qos
| ) | raises (CosNotification::UnsupportedQoS)

  | Validate a list of QoS properties for an event. Suppliers can provide events with specific QoS properties, the following operation allows suppliers to verify if a given set of QoS properties would be honored by the proxy. Parameters:
  required_qos | The QoS properties required by the supplier
  available_qos | If the QoS properties required are supported this argument returns any other QoS properties that the application may set without breaking the proxy capabilities.
  Exceptions:
  CosNotification::UnsupportedQoS | if the QoS properties required cannot be supported. The exception describes the problems and any legal values in detail.

## Member Data Documentation

readonly attribute SupplierAdmin CosNotifyChannelAdmin::ProxyConsumer::MyAdmin

| The SupplierAdmin this proxy belongs to.

readonly attribute ProxyType CosNotifyChannelAdmin::ProxyConsumer::MyType

| The style and event format for this proxy.

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl